#MIN_CONFIG(3.3.0)
#AM_KDE_MIN_VERSION(3.3.0)

AM_INIT_AUTOMAKE(smb4k,0.9.4)


dnl=========================================================================dnl
dnl  Konqueror plugin                                                       dnl
dnl=========================================================================dnl

AC_ARG_WITH(
	[konqplugin],
    	[AS_HELP_STRING([--with-konqplugin=ARG],
        	[build with Konqueror plugin (default ARG=yes)])],
	[],
	[with_konqplugin=yes])

if test x$with_konqplugin = xyes; then
	KDE_CHECK_HEADER(
		[konqsidebarplugin.h],
		[AC_DEFINE(HAVE_KONQPLUGIN,1,
			[define if the Konqueror plugin is compiled])],
		[AC_MSG_ERROR([
***
*** Cannot build Konqueror plugin. Install the development files for KDE base 
*** or pass the '--with-konqplugin=no' option to the configure script.
***])],
		[]
	)
else
	DO_NOT_COMPILE="$DO_NOT_COMPILE plugin"
fi

AM_CONDITIONAL([compile_konqplugin], [test x$with_konqplugin = xyes])
